#include<iostream>
using namespace std;
int main()
{
    int n,k,a[10001],s=0;
    cin>>n>>k;
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    for(int i=0;i<n;i++){
        s=s+(a[i]*(n-i)*(i+1));
    }
    cout<<s;
    return 0;
}